Bug 591907 - strata client needs to handle http redirects
strata client needs to handle http redirects
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
:
Depends On: 567972
Blocks: 591908
  Show dependency treegraph
 
Reported: 2010-05-13 09:16 EDT by Gavin Romig-Koch
Modified: 2010-11-10 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version: report-0.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 591908 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:29:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Romig-Koch 2010-05-13 09:16:02 EDT
The strata client code in report needs to handle (some) 3xx http status codes coming back from the strata server.

The primary case we would like to handle is the one where we would like to redirect a client to a proxy-server closer to their location.

The primary challenge is that the http standard strongly encourages ("MUST" in some cases, "SHOULD" in some others) a client to verify with the user before doing a redirect for a method other than GET or HEAD.  While it is possible for the report/strata client to query the user is many cases, such a query would require some restructuring of the code that I would rather not do before GA.

ahecox is going to go through the http standard, list the codes he would like strata client to handle, and how he would like it to be handled, and then I need to go through it to decide what actually can be done by GA.
Comment 1 Gavin Romig-Koch 2010-05-13 09:18:38 EDT
(In reply to comment #0) 
> The primary case we would like to handle is the one where we would like to
> redirect a client to a proxy-server closer to their location.

An open question I have is, is the server going to be able to tell, from the incoming http request, where the request is coming from and whether or not some proxy-server is actually closer?
Comment 3 RHEL Product and Program Management 2010-05-13 11:19:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Gavin Romig-Koch 2010-05-13 11:54:18 EDT
Another redirect case we want to handle is with redirects for http -> https
Comment 5 Andrew Hecox 2010-05-20 16:08:26 EDT
the client should transparently (to the user) handle 305 re-directs from the server on any PUT, POST, or GET.
Comment 6 Gavin Romig-Koch 2010-05-20 17:19:10 EDT
(In reply to comment #4)
> Another redirect case we want to handle is with redirects for http -> https    

No, we don't have to handle this.
Comment 7 Gavin Romig-Koch 2010-05-21 16:05:03 EDT
(In reply to comment #5)
> the client should transparently (to the user) handle 305 re-directs from the
> server on any PUT, POST, or GET.    

This change has been pushed to the fedorahosted src repo.
Comment 10 Gavin Romig-Koch 2010-07-01 11:18:06 EDT
While this was indeed fixed in report-0.16, it won't be testable/verifiable in RHEL6 till Strata is enabled by https://bugzilla.redhat.com/show_bug.cgi?id=567972
Comment 12 releng-rhel@redhat.com 2010-11-10 16:29:13 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.